@import "~bootstrap/scss/bootstrap";
//
//--------------------------------------TITLES-------------------------
//
h1, h2, h3, h4, h5, h6 { font-weight:normal !important; }
//
//------------------------------------SYSTEM BTN-----------------------
//
.systemBtn{
  min-width: 105px !important;
	height: 40px !important;
  margin: 0 !important;
  padding: 0 20px !important;
  vertical-align: middle !important;
  border: 0 !important;
  font-family: 'Roboto', sans-serif !important;
  font-size: 16px !important;
  font-weight: 300 !important;
  line-height: 40px !important;
  border-radius: 4px !important;
  text-shadow: none; box-shadow: none; transition: all .3s !important;
  @extend .btn-raised;
  display:inline-block !important;
  width: auto !important;
  height:40px !important;
  line-height: 40px !important;
  color: white !important;
  margin: 4px 2px !important;
}
button:disabled,
button[disabled]{
  opacity: 0.5 !important;
}
//
//-------------------------------------NEXT BTN------------------------
//
.nextBtn{
  @extend .systemBtn;
  background-color: var(--theme-btn-principal) !important;
  border-color: var(--theme-btn-principal) !important;
}
.nextBtn:hover,
.nextBtn:focus,
.nextBtn:active,
.nextBtn.active {
  background-color: var(--theme-btn-principal-active) !important;
  border-color: var(--theme-btn-principal-active) !important;
}
//
//-------------------------------------BACK BTN------------------------
//
.backBtn{
  @extend .systemBtn;
  background-color: rgb(137, 136, 138) !important;
  border-color: rgb(137, 136, 138) !important;
}
.backBtn:hover,
.backBtn:focus,
.backBtn:active,
.backBtn.active {
  background-color: rgba(137, 136, 138, 0.5) !important;
  border-color: rgba(137, 136, 138, 0.5) !important;
}
//
//------------------------------------SUCCESS BTN----------------------
//
.successBtn{
  @extend .systemBtn;
  background-color: var(--theme-btn-secondary) !important;
  border-color: var(--theme-btn-secondary) !important;
}
.successBtn:hover,
.successBtn:focus,
.successBtn:active,
.successBtn.active {
  background-color: var(--theme-btn-secondary-active) !important;
  border-color: var(--theme-btn-secondary-active) !important;
}
//
//------------------------------------WARNING BTN----------------------
//
.warningBtn{
  @extend .systemBtn;
  background-color: rgb(158, 27, 4) !important;
  border-color: rgb(158, 27, 4) !important;
}
.warningBtn:hover,
.warningBtn:focus,
.warningBtn:active,
.warningBtn.active {
  background-color: rgba(158, 27, 4, 0.5) !important;
  border-color: rgba(158, 27, 4, 0.5) !important;
}
//
//--------------------------------------LINK BTN-----------------------
//
.linkBtn{
  @extend .systemBtn;
  @extend .text-center;
  background-color: rgba(0, 0, 0, 0) !important;
  color: var(--theme-btn-primary) !important;
}
.linkBtn:hover,
.linkBtn:focus,
.linkBtn:active,
.linkBtn.active {
  background-color: rgba(0, 0, 0, 0.1) !important;
  color: var(--theme-btn-primary) !important;
}
//
//--------------------------------------INFO BTN-----------------------
//
.infoBtn{
  @extend .systemBtn;
  @extend .text-center;
  background-color: rgb(221, 221, 221) !important;
  border-color: rgb(221, 221, 221) !important;
  color:black !important;
}
.infoBtn:hover,
.infoBtn:focus,
.infoBtn:active,
.infoBtn.active {
  background-color: rgba(221, 221, 221, 0.5) !important;
  border-color: rgba(221, 221, 221, 0.5) !important;
}


.card-primary{
  background-color: var(--dashboard5) !important;
}


@media screen and (max-width: 960px) {
  .table-container {
    width: 100%;
    overflow: auto;
  }
  
  mat-table {
    width: 800px;
  }
  
  .mat-table-sticky:first-child {
    border-right: 1px solid #e0e0e0;
    background: white;
  }
  
  .mat-table-sticky:last-child {
    border-left: 1px solid #e0e0e0;
  }
}

.success{
  background-color: var(--theme-btn-secondary) !important;
  border-color: var(--theme-btn-secondary) !important;
  width: 40px;
}
.success:hover,
.success:focus,
.success:active,
.success.active {
  background-color: var(--theme-btn-secondary-active) !important;
  border-color: var(--theme-btn-secondary-active) !important;
}


.next{
  background-color: var(--theme-btn-principal) !important;
  border-color: var(--theme-btn-principal) !important;
  width: 40px;
}
.next:hover,
.next:focus,
.next:active,
.next.active {
  background-color: var(--theme-btn-principal-active) !important;
  border-color: var(--theme-btn-principal-active) !important;
}

mat-card-title{
  font-family: 'Roboto', sans-serif !important;
  font-weight: 300 !important;
}